Bug 39318 - Add interface for adding simple plugins for computers
Add interface for adding simple plugins for computers
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: UMC - Computer room
UCS@school 4.0 R2
Other Linux
: P5 normal (vote)
: UCS@school 4.0 R2 Errata
Assigned To: Florian Best
Sönke Schwardt-Krummrich
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-08 11:08 CEST by Sönke Schwardt-Krummrich
Modified: 2018-02-02 23:14 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2015-09-08 11:08:38 CEST
A plugin interface is required for executing actions on a number of computers of a computerroom. Each plugin should be able to
1) define a name for an additional, dynamically loaded entry in the "more" menu
1a) the name for that entry has to be localized via the plugin
2) define a backend function that is called if the menu entry is selected in the 
   frontend
2a) a list of the selected computers is passed to the backend
2b) the plugin should be able to get full access to the information of the 
    computerroom backend module process (iTALC connections, IP addresses, ...)
Comment 1 Florian Best univentionstaff 2015-09-16 18:32:08 CEST
ucs-school-umc-computerroom (6.0.4-1):
r63781 | Bug #39318: add interface for computerroom plugins
Comment 2 Sönke Schwardt-Krummrich univentionstaff 2015-11-10 14:47:19 CET
code review: ok for now; is there a reason that the plugin is called for each selected computer separately? I thought it would be more efficient, if a list of selected computers is passed to the plugin.

code change is also merged in UCS@school 4.1

Added changelog entries in …/appcenter.test/…/ucsschool_20151111/README_UPDATE_*

REOPEN: the button text is always in english
Comment 3 Florian Best univentionstaff 2015-11-10 16:22:54 CET
(In reply to Sönke Schwardt-Krummrich from comment #2)
> code review: ok for now; is there a reason that the plugin is called for
> each selected computer separately? I thought it would be more efficient, if
> a list of selected computers is passed to the plugin.
We do this for all actions. From HTTP/API point of view this is (more) correct behavior and a HTTP request is fast.

> code change is also merged in UCS@school 4.1
> 
> Added changelog entries in
> …/appcenter.test/…/ucsschool_20151111/README_UPDATE_*
Thank you!

> REOPEN: the button text is always in english
This was a bug in the plugin itself as the translation was installed into 
usr/share/univention-management-console/i18n/de/ instead of usr/share/locale/de/LC_MESSAGES/.
Comment 4 Sönke Schwardt-Krummrich univentionstaff 2015-11-10 21:37:08 CET
(In reply to Florian Best from comment #3)
> (In reply to Sönke Schwardt-Krummrich from comment #2)
> > code review: ok for now; is there a reason that the plugin is called for
> > each selected computer separately? I thought it would be more efficient, if
> > a list of selected computers is passed to the plugin.
> We do this for all actions. From HTTP/API point of view this is (more)
> correct behavior and a HTTP request is fast.

Yes, but if a backend module needs all selected computers as one list, it gets complicated. Since there is currently no need for it, I'm okay with the current status.

> > REOPEN: the button text is always in english
> This was a bug in the plugin itself as the translation was installed into 
> usr/share/univention-management-console/i18n/de/ instead of
> usr/share/locale/de/LC_MESSAGES/.

→ Verified
Comment 5 Sönke Schwardt-Krummrich univentionstaff 2015-11-11 14:20:26 CET
UCS@school 4.0 R2 v3 has been released.

If this error occurs again, please use "Clone This Bug".